Bug 823505 - Gluster - Admin GUI: Rebalance button does nothing
Gluster - Admin GUI: Rebalance button does nothing
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Selvasundaram
Haim
gluster
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 08:21 EDT by Daniel Paikov
Modified: 2014-12-29 12:30 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-17 02:49:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Paikov 2012-05-21 08:21:23 EDT
Clicking on the Rebalance button when a volume is selected does nothing.
Comment 1 Shireesh 2012-05-22 05:32:03 EDT
Do you mean it doesn't show any success or error message?
Comment 2 Daniel Paikov 2012-05-23 05:05:18 EDT
Yes, there is no success or failure dialog, and no success or failure event. There's no indication that any action took place.
Comment 3 Shireesh 2012-05-23 06:08:38 EDT
In another bug (https://bugzilla.redhat.com/823514), you have reported a wrong message in case of failure when a volume has only one brick. Did you see that only in the log file, and no where on the UI ?
Comment 4 Daniel Paikov 2012-05-23 07:09:38 EDT
(In reply to comment #3)
> In another bug (https://bugzilla.redhat.com/823514), you have reported a
> wrong message in case of failure when a volume has only one brick. Did you
> see that only in the log file, and no where on the UI ?

Yes, the #823514 flow (which is a failure) produces an event in the GUI. The #823505 flow (which is presumably a success) doesn't produce anything.
Comment 5 Selvasundaram 2012-05-24 07:37:00 EDT
Action/event notification error is fixed.
Comment 6 Selvasundaram 2012-05-24 07:41:01 EDT
Patch submitted.
http://gerrit.ovirt.org/#change,4752
Comment 7 Daniel Paikov 2012-06-10 09:24:41 EDT
Rebalance button no longer exists, as of 9xJun.

Note You need to log in before you can comment on or make changes to this bug.